Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network13.41.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
13.41.0.0
Broadcast address
13.41.127.255
First usable
13.41.0.1
Last usable
13.41.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 0D290000 · Integer 220790784 to 220823551
Reverse DNS zones
0.41.13.in-addr.arpa
1.41.13.in-addr.arpa
2.41.13.in-addr.arpa
3.41.13.in-addr.arpa
4.41.13.in-addr.arpa
5.41.13.in-addr.arpa
6.41.13.in-addr.arpa
7.41.13.in-addr.arpa
8.41.13.in-addr.arpa
9.41.13.in-addr.arpa
10.41.13.in-addr.arpa
11.41.13.in-addr.arpa
12.41.13.in-addr.arpa
13.41.13.in-addr.arpa
14.41.13.in-addr.arpa
15.41.13.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001101.00101001.00000000.0000000013.41.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00001101.00101001.00000000.0000000013.41.0.0
Broadcast00001101.00101001.01111111.1111111113.41.127.255
Split into smaller subnets/28

13.41.0.0/17 makes 2,048 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
113.41.0.0/2813.41.0.1 to 13.41.0.1413.41.0.1514
213.41.0.16/2813.41.0.17 to 13.41.0.3013.41.0.3114
313.41.0.32/2813.41.0.33 to 13.41.0.4613.41.0.4714
413.41.0.48/2813.41.0.49 to 13.41.0.6213.41.0.6314
513.41.0.64/2813.41.0.65 to 13.41.0.7813.41.0.7914
613.41.0.80/2813.41.0.81 to 13.41.0.9413.41.0.9514
713.41.0.96/2813.41.0.97 to 13.41.0.11013.41.0.11114
813.41.0.112/2813.41.0.113 to 13.41.0.12613.41.0.12714
913.41.0.128/2813.41.0.129 to 13.41.0.14213.41.0.14314
1013.41.0.144/2813.41.0.145 to 13.41.0.15813.41.0.15914
1113.41.0.160/2813.41.0.161 to 13.41.0.17413.41.0.17514
1213.41.0.176/2813.41.0.177 to 13.41.0.19013.41.0.19114
1313.41.0.192/2813.41.0.193 to 13.41.0.20613.41.0.20714
1413.41.0.208/2813.41.0.209 to 13.41.0.22213.41.0.22314
1513.41.0.224/2813.41.0.225 to 13.41.0.23813.41.0.23914
1613.41.0.240/2813.41.0.241 to 13.41.0.25413.41.0.25514
1713.41.1.0/2813.41.1.1 to 13.41.1.1413.41.1.1514
1813.41.1.16/2813.41.1.17 to 13.41.1.3013.41.1.3114
1913.41.1.32/2813.41.1.33 to 13.41.1.4613.41.1.4714
2013.41.1.48/2813.41.1.49 to 13.41.1.6213.41.1.6314
2113.41.1.64/2813.41.1.65 to 13.41.1.7813.41.1.7914
2213.41.1.80/2813.41.1.81 to 13.41.1.9413.41.1.9514
2313.41.1.96/2813.41.1.97 to 13.41.1.11013.41.1.11114
2413.41.1.112/2813.41.1.113 to 13.41.1.12613.41.1.12714
2513.41.1.128/2813.41.1.129 to 13.41.1.14213.41.1.14314
2613.41.1.144/2813.41.1.145 to 13.41.1.15813.41.1.15914
2713.41.1.160/2813.41.1.161 to 13.41.1.17413.41.1.17514
2813.41.1.176/2813.41.1.177 to 13.41.1.19013.41.1.19114
2913.41.1.192/2813.41.1.193 to 13.41.1.20613.41.1.20714
3013.41.1.208/2813.41.1.209 to 13.41.1.22213.41.1.22314
3113.41.1.224/2813.41.1.225 to 13.41.1.23813.41.1.23914
3213.41.1.240/2813.41.1.241 to 13.41.1.25413.41.1.25514
3313.41.2.0/2813.41.2.1 to 13.41.2.1413.41.2.1514
3413.41.2.16/2813.41.2.17 to 13.41.2.3013.41.2.3114
3513.41.2.32/2813.41.2.33 to 13.41.2.4613.41.2.4714
3613.41.2.48/2813.41.2.49 to 13.41.2.6213.41.2.6314
3713.41.2.64/2813.41.2.65 to 13.41.2.7813.41.2.7914
3813.41.2.80/2813.41.2.81 to 13.41.2.9413.41.2.9514
3913.41.2.96/2813.41.2.97 to 13.41.2.11013.41.2.11114
4013.41.2.112/2813.41.2.113 to 13.41.2.12613.41.2.12714
4113.41.2.128/2813.41.2.129 to 13.41.2.14213.41.2.14314
4213.41.2.144/2813.41.2.145 to 13.41.2.15813.41.2.15914
4313.41.2.160/2813.41.2.161 to 13.41.2.17413.41.2.17514
4413.41.2.176/2813.41.2.177 to 13.41.2.19013.41.2.19114
4513.41.2.192/2813.41.2.193 to 13.41.2.20613.41.2.20714
4613.41.2.208/2813.41.2.209 to 13.41.2.22213.41.2.22314
4713.41.2.224/2813.41.2.225 to 13.41.2.23813.41.2.23914
4813.41.2.240/2813.41.2.241 to 13.41.2.25413.41.2.25514
4913.41.3.0/2813.41.3.1 to 13.41.3.1413.41.3.1514
5013.41.3.16/2813.41.3.17 to 13.41.3.3013.41.3.3114
5113.41.3.32/2813.41.3.33 to 13.41.3.4613.41.3.4714
5213.41.3.48/2813.41.3.49 to 13.41.3.6213.41.3.6314
5313.41.3.64/2813.41.3.65 to 13.41.3.7813.41.3.7914
5413.41.3.80/2813.41.3.81 to 13.41.3.9413.41.3.9514
5513.41.3.96/2813.41.3.97 to 13.41.3.11013.41.3.11114
5613.41.3.112/2813.41.3.113 to 13.41.3.12613.41.3.12714
5713.41.3.128/2813.41.3.129 to 13.41.3.14213.41.3.14314
5813.41.3.144/2813.41.3.145 to 13.41.3.15813.41.3.15914
5913.41.3.160/2813.41.3.161 to 13.41.3.17413.41.3.17514
6013.41.3.176/2813.41.3.177 to 13.41.3.19013.41.3.19114
6113.41.3.192/2813.41.3.193 to 13.41.3.20613.41.3.20714
6213.41.3.208/2813.41.3.209 to 13.41.3.22213.41.3.22314
6313.41.3.224/2813.41.3.225 to 13.41.3.23813.41.3.23914
6413.41.3.240/2813.41.3.241 to 13.41.3.25413.41.3.25514
6513.41.4.0/2813.41.4.1 to 13.41.4.1413.41.4.1514
6613.41.4.16/2813.41.4.17 to 13.41.4.3013.41.4.3114
6713.41.4.32/2813.41.4.33 to 13.41.4.4613.41.4.4714
6813.41.4.48/2813.41.4.49 to 13.41.4.6213.41.4.6314
6913.41.4.64/2813.41.4.65 to 13.41.4.7813.41.4.7914
7013.41.4.80/2813.41.4.81 to 13.41.4.9413.41.4.9514
7113.41.4.96/2813.41.4.97 to 13.41.4.11013.41.4.11114
7213.41.4.112/2813.41.4.113 to 13.41.4.12613.41.4.12714
7313.41.4.128/2813.41.4.129 to 13.41.4.14213.41.4.14314
7413.41.4.144/2813.41.4.145 to 13.41.4.15813.41.4.15914
7513.41.4.160/2813.41.4.161 to 13.41.4.17413.41.4.17514
7613.41.4.176/2813.41.4.177 to 13.41.4.19013.41.4.19114
7713.41.4.192/2813.41.4.193 to 13.41.4.20613.41.4.20714
7813.41.4.208/2813.41.4.209 to 13.41.4.22213.41.4.22314
7913.41.4.224/2813.41.4.225 to 13.41.4.23813.41.4.23914
8013.41.4.240/2813.41.4.241 to 13.41.4.25413.41.4.25514
8113.41.5.0/2813.41.5.1 to 13.41.5.1413.41.5.1514
8213.41.5.16/2813.41.5.17 to 13.41.5.3013.41.5.3114
8313.41.5.32/2813.41.5.33 to 13.41.5.4613.41.5.4714
8413.41.5.48/2813.41.5.49 to 13.41.5.6213.41.5.6314
8513.41.5.64/2813.41.5.65 to 13.41.5.7813.41.5.7914
8613.41.5.80/2813.41.5.81 to 13.41.5.9413.41.5.9514
8713.41.5.96/2813.41.5.97 to 13.41.5.11013.41.5.11114
8813.41.5.112/2813.41.5.113 to 13.41.5.12613.41.5.12714
8913.41.5.128/2813.41.5.129 to 13.41.5.14213.41.5.14314
9013.41.5.144/2813.41.5.145 to 13.41.5.15813.41.5.15914
9113.41.5.160/2813.41.5.161 to 13.41.5.17413.41.5.17514
9213.41.5.176/2813.41.5.177 to 13.41.5.19013.41.5.19114
9313.41.5.192/2813.41.5.193 to 13.41.5.20613.41.5.20714
9413.41.5.208/2813.41.5.209 to 13.41.5.22213.41.5.22314
9513.41.5.224/2813.41.5.225 to 13.41.5.23813.41.5.23914
9613.41.5.240/2813.41.5.241 to 13.41.5.25413.41.5.25514
9713.41.6.0/2813.41.6.1 to 13.41.6.1413.41.6.1514
9813.41.6.16/2813.41.6.17 to 13.41.6.3013.41.6.3114
9913.41.6.32/2813.41.6.33 to 13.41.6.4613.41.6.4714
10013.41.6.48/2813.41.6.49 to 13.41.6.6213.41.6.6314
10113.41.6.64/2813.41.6.65 to 13.41.6.7813.41.6.7914
10213.41.6.80/2813.41.6.81 to 13.41.6.9413.41.6.9514
10313.41.6.96/2813.41.6.97 to 13.41.6.11013.41.6.11114
10413.41.6.112/2813.41.6.113 to 13.41.6.12613.41.6.12714
10513.41.6.128/2813.41.6.129 to 13.41.6.14213.41.6.14314
10613.41.6.144/2813.41.6.145 to 13.41.6.15813.41.6.15914
10713.41.6.160/2813.41.6.161 to 13.41.6.17413.41.6.17514
10813.41.6.176/2813.41.6.177 to 13.41.6.19013.41.6.19114
10913.41.6.192/2813.41.6.193 to 13.41.6.20613.41.6.20714
11013.41.6.208/2813.41.6.209 to 13.41.6.22213.41.6.22314
11113.41.6.224/2813.41.6.225 to 13.41.6.23813.41.6.23914
11213.41.6.240/2813.41.6.241 to 13.41.6.25413.41.6.25514
11313.41.7.0/2813.41.7.1 to 13.41.7.1413.41.7.1514
11413.41.7.16/2813.41.7.17 to 13.41.7.3013.41.7.3114
11513.41.7.32/2813.41.7.33 to 13.41.7.4613.41.7.4714
11613.41.7.48/2813.41.7.49 to 13.41.7.6213.41.7.6314
11713.41.7.64/2813.41.7.65 to 13.41.7.7813.41.7.7914
11813.41.7.80/2813.41.7.81 to 13.41.7.9413.41.7.9514
11913.41.7.96/2813.41.7.97 to 13.41.7.11013.41.7.11114
12013.41.7.112/2813.41.7.113 to 13.41.7.12613.41.7.12714
12113.41.7.128/2813.41.7.129 to 13.41.7.14213.41.7.14314
12213.41.7.144/2813.41.7.145 to 13.41.7.15813.41.7.15914
12313.41.7.160/2813.41.7.161 to 13.41.7.17413.41.7.17514
12413.41.7.176/2813.41.7.177 to 13.41.7.19013.41.7.19114
12513.41.7.192/2813.41.7.193 to 13.41.7.20613.41.7.20714
12613.41.7.208/2813.41.7.209 to 13.41.7.22213.41.7.22314
12713.41.7.224/2813.41.7.225 to 13.41.7.23813.41.7.23914
12813.41.7.240/2813.41.7.241 to 13.41.7.25413.41.7.25514
12913.41.8.0/2813.41.8.1 to 13.41.8.1413.41.8.1514
13013.41.8.16/2813.41.8.17 to 13.41.8.3013.41.8.3114
13113.41.8.32/2813.41.8.33 to 13.41.8.4613.41.8.4714
13213.41.8.48/2813.41.8.49 to 13.41.8.6213.41.8.6314
13313.41.8.64/2813.41.8.65 to 13.41.8.7813.41.8.7914
13413.41.8.80/2813.41.8.81 to 13.41.8.9413.41.8.9514
13513.41.8.96/2813.41.8.97 to 13.41.8.11013.41.8.11114
13613.41.8.112/2813.41.8.113 to 13.41.8.12613.41.8.12714
13713.41.8.128/2813.41.8.129 to 13.41.8.14213.41.8.14314
13813.41.8.144/2813.41.8.145 to 13.41.8.15813.41.8.15914
13913.41.8.160/2813.41.8.161 to 13.41.8.17413.41.8.17514
14013.41.8.176/2813.41.8.177 to 13.41.8.19013.41.8.19114
14113.41.8.192/2813.41.8.193 to 13.41.8.20613.41.8.20714
14213.41.8.208/2813.41.8.209 to 13.41.8.22213.41.8.22314
14313.41.8.224/2813.41.8.225 to 13.41.8.23813.41.8.23914
14413.41.8.240/2813.41.8.241 to 13.41.8.25413.41.8.25514
14513.41.9.0/2813.41.9.1 to 13.41.9.1413.41.9.1514
14613.41.9.16/2813.41.9.17 to 13.41.9.3013.41.9.3114
14713.41.9.32/2813.41.9.33 to 13.41.9.4613.41.9.4714
14813.41.9.48/2813.41.9.49 to 13.41.9.6213.41.9.6314
14913.41.9.64/2813.41.9.65 to 13.41.9.7813.41.9.7914
15013.41.9.80/2813.41.9.81 to 13.41.9.9413.41.9.9514
15113.41.9.96/2813.41.9.97 to 13.41.9.11013.41.9.11114
15213.41.9.112/2813.41.9.113 to 13.41.9.12613.41.9.12714
15313.41.9.128/2813.41.9.129 to 13.41.9.14213.41.9.14314
15413.41.9.144/2813.41.9.145 to 13.41.9.15813.41.9.15914
15513.41.9.160/2813.41.9.161 to 13.41.9.17413.41.9.17514
15613.41.9.176/2813.41.9.177 to 13.41.9.19013.41.9.19114
15713.41.9.192/2813.41.9.193 to 13.41.9.20613.41.9.20714
15813.41.9.208/2813.41.9.209 to 13.41.9.22213.41.9.22314
15913.41.9.224/2813.41.9.225 to 13.41.9.23813.41.9.23914
16013.41.9.240/2813.41.9.241 to 13.41.9.25413.41.9.25514
16113.41.10.0/2813.41.10.1 to 13.41.10.1413.41.10.1514
16213.41.10.16/2813.41.10.17 to 13.41.10.3013.41.10.3114
16313.41.10.32/2813.41.10.33 to 13.41.10.4613.41.10.4714
16413.41.10.48/2813.41.10.49 to 13.41.10.6213.41.10.6314
16513.41.10.64/2813.41.10.65 to 13.41.10.7813.41.10.7914
16613.41.10.80/2813.41.10.81 to 13.41.10.9413.41.10.9514
16713.41.10.96/2813.41.10.97 to 13.41.10.11013.41.10.11114
16813.41.10.112/2813.41.10.113 to 13.41.10.12613.41.10.12714
16913.41.10.128/2813.41.10.129 to 13.41.10.14213.41.10.14314
17013.41.10.144/2813.41.10.145 to 13.41.10.15813.41.10.15914
17113.41.10.160/2813.41.10.161 to 13.41.10.17413.41.10.17514
17213.41.10.176/2813.41.10.177 to 13.41.10.19013.41.10.19114
17313.41.10.192/2813.41.10.193 to 13.41.10.20613.41.10.20714
17413.41.10.208/2813.41.10.209 to 13.41.10.22213.41.10.22314
17513.41.10.224/2813.41.10.225 to 13.41.10.23813.41.10.23914
17613.41.10.240/2813.41.10.241 to 13.41.10.25413.41.10.25514
17713.41.11.0/2813.41.11.1 to 13.41.11.1413.41.11.1514
17813.41.11.16/2813.41.11.17 to 13.41.11.3013.41.11.3114
17913.41.11.32/2813.41.11.33 to 13.41.11.4613.41.11.4714
18013.41.11.48/2813.41.11.49 to 13.41.11.6213.41.11.6314
18113.41.11.64/2813.41.11.65 to 13.41.11.7813.41.11.7914
18213.41.11.80/2813.41.11.81 to 13.41.11.9413.41.11.9514
18313.41.11.96/2813.41.11.97 to 13.41.11.11013.41.11.11114
18413.41.11.112/2813.41.11.113 to 13.41.11.12613.41.11.12714
18513.41.11.128/2813.41.11.129 to 13.41.11.14213.41.11.14314
18613.41.11.144/2813.41.11.145 to 13.41.11.15813.41.11.15914
18713.41.11.160/2813.41.11.161 to 13.41.11.17413.41.11.17514
18813.41.11.176/2813.41.11.177 to 13.41.11.19013.41.11.19114
18913.41.11.192/2813.41.11.193 to 13.41.11.20613.41.11.20714
19013.41.11.208/2813.41.11.209 to 13.41.11.22213.41.11.22314
19113.41.11.224/2813.41.11.225 to 13.41.11.23813.41.11.23914
19213.41.11.240/2813.41.11.241 to 13.41.11.25413.41.11.25514
19313.41.12.0/2813.41.12.1 to 13.41.12.1413.41.12.1514
19413.41.12.16/2813.41.12.17 to 13.41.12.3013.41.12.3114
19513.41.12.32/2813.41.12.33 to 13.41.12.4613.41.12.4714
19613.41.12.48/2813.41.12.49 to 13.41.12.6213.41.12.6314
19713.41.12.64/2813.41.12.65 to 13.41.12.7813.41.12.7914
19813.41.12.80/2813.41.12.81 to 13.41.12.9413.41.12.9514
19913.41.12.96/2813.41.12.97 to 13.41.12.11013.41.12.11114
20013.41.12.112/2813.41.12.113 to 13.41.12.12613.41.12.12714
20113.41.12.128/2813.41.12.129 to 13.41.12.14213.41.12.14314
20213.41.12.144/2813.41.12.145 to 13.41.12.15813.41.12.15914
20313.41.12.160/2813.41.12.161 to 13.41.12.17413.41.12.17514
20413.41.12.176/2813.41.12.177 to 13.41.12.19013.41.12.19114
20513.41.12.192/2813.41.12.193 to 13.41.12.20613.41.12.20714
20613.41.12.208/2813.41.12.209 to 13.41.12.22213.41.12.22314
20713.41.12.224/2813.41.12.225 to 13.41.12.23813.41.12.23914
20813.41.12.240/2813.41.12.241 to 13.41.12.25413.41.12.25514
20913.41.13.0/2813.41.13.1 to 13.41.13.1413.41.13.1514
21013.41.13.16/2813.41.13.17 to 13.41.13.3013.41.13.3114
21113.41.13.32/2813.41.13.33 to 13.41.13.4613.41.13.4714
21213.41.13.48/2813.41.13.49 to 13.41.13.6213.41.13.6314
21313.41.13.64/2813.41.13.65 to 13.41.13.7813.41.13.7914
21413.41.13.80/2813.41.13.81 to 13.41.13.9413.41.13.9514
21513.41.13.96/2813.41.13.97 to 13.41.13.11013.41.13.11114
21613.41.13.112/2813.41.13.113 to 13.41.13.12613.41.13.12714
21713.41.13.128/2813.41.13.129 to 13.41.13.14213.41.13.14314
21813.41.13.144/2813.41.13.145 to 13.41.13.15813.41.13.15914
21913.41.13.160/2813.41.13.161 to 13.41.13.17413.41.13.17514
22013.41.13.176/2813.41.13.177 to 13.41.13.19013.41.13.19114
22113.41.13.192/2813.41.13.193 to 13.41.13.20613.41.13.20714
22213.41.13.208/2813.41.13.209 to 13.41.13.22213.41.13.22314
22313.41.13.224/2813.41.13.225 to 13.41.13.23813.41.13.23914
22413.41.13.240/2813.41.13.241 to 13.41.13.25413.41.13.25514
22513.41.14.0/2813.41.14.1 to 13.41.14.1413.41.14.1514
22613.41.14.16/2813.41.14.17 to 13.41.14.3013.41.14.3114
22713.41.14.32/2813.41.14.33 to 13.41.14.4613.41.14.4714
22813.41.14.48/2813.41.14.49 to 13.41.14.6213.41.14.6314
22913.41.14.64/2813.41.14.65 to 13.41.14.7813.41.14.7914
23013.41.14.80/2813.41.14.81 to 13.41.14.9413.41.14.9514
23113.41.14.96/2813.41.14.97 to 13.41.14.11013.41.14.11114
23213.41.14.112/2813.41.14.113 to 13.41.14.12613.41.14.12714
23313.41.14.128/2813.41.14.129 to 13.41.14.14213.41.14.14314
23413.41.14.144/2813.41.14.145 to 13.41.14.15813.41.14.15914
23513.41.14.160/2813.41.14.161 to 13.41.14.17413.41.14.17514
23613.41.14.176/2813.41.14.177 to 13.41.14.19013.41.14.19114
23713.41.14.192/2813.41.14.193 to 13.41.14.20613.41.14.20714
23813.41.14.208/2813.41.14.209 to 13.41.14.22213.41.14.22314
23913.41.14.224/2813.41.14.225 to 13.41.14.23813.41.14.23914
24013.41.14.240/2813.41.14.241 to 13.41.14.25413.41.14.25514
24113.41.15.0/2813.41.15.1 to 13.41.15.1413.41.15.1514
24213.41.15.16/2813.41.15.17 to 13.41.15.3013.41.15.3114
24313.41.15.32/2813.41.15.33 to 13.41.15.4613.41.15.4714
24413.41.15.48/2813.41.15.49 to 13.41.15.6213.41.15.6314
24513.41.15.64/2813.41.15.65 to 13.41.15.7813.41.15.7914
24613.41.15.80/2813.41.15.81 to 13.41.15.9413.41.15.9514
24713.41.15.96/2813.41.15.97 to 13.41.15.11013.41.15.11114
24813.41.15.112/2813.41.15.113 to 13.41.15.12613.41.15.12714
24913.41.15.128/2813.41.15.129 to 13.41.15.14213.41.15.14314
25013.41.15.144/2813.41.15.145 to 13.41.15.15813.41.15.15914
25113.41.15.160/2813.41.15.161 to 13.41.15.17413.41.15.17514
25213.41.15.176/2813.41.15.177 to 13.41.15.19013.41.15.19114
25313.41.15.192/2813.41.15.193 to 13.41.15.20613.41.15.20714
25413.41.15.208/2813.41.15.209 to 13.41.15.22213.41.15.22314
25513.41.15.224/2813.41.15.225 to 13.41.15.23813.41.15.23914
25613.41.15.240/2813.41.15.241 to 13.41.15.25413.41.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses